<mat-card>

  <form (submit)="submit()">
    <div class="flex row">
      <mat-form-field class="fill">
        <mat-select
          name="day"
          [(ngModel)]="day"
          placeholder="Please select day"
          required
        >
          <mat-option [value]="1">Monday</mat-option>
          <mat-option [value]="2">Tuesday</mat-option>
          <mat-option [value]="3">Wednesday</mat-option>
          <mat-option [value]="4">Thursday</mat-option>
          <mat-option [value]="5">Friday</mat-option>
          <mat-option [value]="6">Saturday</mat-option>
          <mat-option [value]="0">Sunday</mat-option>
        </mat-select>
      </mat-form-field>
    </div>
    <div class="flex row">
      <mat-form-field class="fill">
        <input
          matInput
          [(ngModel)]="time"
          name="time"
          required
          placeholder="Time (i.e. 10:10)"
          type="time"
        >
      </mat-form-field>
    </div>

    <p *ngIf="errorMsg" style="color: red;">{{ errorMsg }}</p>

    <p>
      <button
        mat-raised-button
        type="submit"
        color="primary"
        [disabled]="loading || !this.time"
      >
        <mat-spinner *ngIf="loading" [diameter]="22" [strokeWidth]="2" class="in-button-spinner"></mat-spinner>
        Save
      </button>

      <button mat-button [routerLink]="['/admin/appointments']">Cancel</button>
    </p>
  </form>
</mat-card>
